
Redmine - Feature #8392

Grant access to particular Wiki page

2011-05-18 12:20 - Kamil .

Status: Closed Start date: 2011-05-18

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Permissions and roles Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Some of the Wiki pages (like these containing logins/passwords to the third party services or other confidental information) should

not be viewed by all of the project members!

It has to be possible to grant/deny access to that particular Wiki pages.

Related issues:

Is duplicate of Redmine - Feature #2636: Feature Request: Wiki ACLs (Access c... New 2009-01-31

History

#1 - 2011-05-18 12:33 - Dmitry Salashnik

+1

#2 - 2011-05-18 17:22 - Aleksandra Wozniak

+1

#3 - 2011-05-18 21:59 - Andrzej Kojder

+1

#4 - 2011-05-18 23:41 - Anoop L

+1

#5 - 2011-05-19 13:43 - Adam Hepner

+1

#6 - 2011-05-24 09:27 - Jeffrey Jones

Would you guys expect to be able to do something like:

Page A can only be viewed by users A B C?

Page B can only be views by users D F G and Group Z?

Or is a simple "Page protected" flag per page plus a "view protected page" permission good enough?

#7 - 2011-05-24 11:29 - Kamil .

The second option is good for the beginning because it seems to be easy to implement and it's better than nothing.

Ideal to have them both.

#8 - 2011-06-09 08:07 - Daniel Schaarschmidt

+1

The secound option should be good enough - it could be similar to the new private issues feature.

The first option sounds really good - but like Kamil I'm not sure this is as easy to implement as option 2.

IMHO it would require a complete change of the permission system to really fit in. Right now I'm not aware of any Redmine-Feature that maintains a

seperate permission list per object - although under some circumstances it would be great to have that.

#9 - 2011-12-30 07:34 - Naveen Prabhu

+1
#10 - 2012-09-21 12:42 - Tomas Chmiel

Are there any news on this feature?

#11 - 2012-10-16 07:16 - dale woolridge

there is the redmine_wiki_permissions plugin that can do this. i've recently put in a pull request so it works properly with 1.4. i haven't tried with 2.0.  it

shouldn't conflict with other plugins anymore.

#12 - 2014-02-04 22:59 - Alexander Pilipenko

+1

redmine_wiki_permissions plugin does not work with redmine >2.0

#13 - 2014-07-02 09:53 - Hans Artmann

Tried to install redmine_wiki_permissions in 2.5 with rails 3.2 and came as far as

install with _rails install

move the redmine_wiki_permissions folder from vendor/plugins to plugins

add dispatcher to Gemfile

Now I'm getting

redmine_wiki_permissions/init.rb:7:in `<top (required)>': undefined method `to_prepare' for Dispatcher:Module 

(NoMethodError)

 on startup. I guess the dispatcher gem isn't 3.2 compatible

Any ideas? I'd really have the wiki permissions back now that my upgrade from redmine 1.0 to 2.5 has worked (basically installing rvm, doing a fresh

redmine install and migrating the database).

#14 - 2016-01-30 05:10 - Anh Le Giang

+1

#15 - 2016-02-20 10:59 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Duplicate of #2636.

#16 - 2016-02-20 10:59 - Toshi MARUYAMA

- Is duplicate of Feature #2636: Feature Request: Wiki ACLs (Access control for individual pages) added
